Fix bug 1722: add support for deploying .charm files
[osm/N2VC.git] / requirements.txt
1 async-timeout==3.0.1
2     # via retrying-async
3 bcrypt==3.2.0
4     # via paramiko
5 cachetools==4.2.1
6     # via google-auth
7 certifi==2020.12.5
8     # via
9     #   kubernetes
10     #   requests
11 cffi==1.14.5
12     # via
13     #   bcrypt
14     #   cryptography
15     #   pynacl
16 chardet==4.0.0
17     # via requests
18 cryptography==3.4.7
19     # via paramiko
20 google-auth==1.28.0
21     # via kubernetes
22 idna==2.10
23     # via requests
24 juju==2.9.4
25     # via -r requirements.in
26 jujubundlelib==0.5.6
27     # via theblues
28 kubernetes==17.17.0
29     # via -r requirements.in
30 macaroonbakery==1.3.1
31     # via
32     #   juju
33     #   theblues
34 motor==1.3.1
35     # via -r requirements.in
36 mypy-extensions==0.4.3
37     # via typing-inspect
38 oauthlib==3.1.0
39     # via requests-oauthlib
40 paramiko==2.7.2
41     # via juju
42 protobuf==3.15.6
43     # via macaroonbakery
44 pyasn1-modules==0.2.8
45     # via google-auth
46 pyasn1==0.4.8
47     # via
48     #   -r requirements.in
49     #   juju
50     #   pyasn1-modules
51     #   rsa
52 pycparser==2.20
53     # via cffi
54 pymacaroons==0.13.0
55     # via macaroonbakery
56 pymongo==3.11.3
57     # via motor
58 pynacl==1.4.0
59     # via
60     #   macaroonbakery
61     #   paramiko
62     #   pymacaroons
63 pyrfc3339==1.1
64     # via
65     #   juju
66     #   macaroonbakery
67 python-dateutil==2.8.1
68     # via kubernetes
69 pytz==2021.1
70     # via pyrfc3339
71 pyyaml==5.4.1
72     # via
73     #   juju
74     #   jujubundlelib
75     #   kubernetes
76 requests-oauthlib==1.3.0
77     # via kubernetes
78 requests==2.25.1
79     # via
80     #   kubernetes
81     #   macaroonbakery
82     #   requests-oauthlib
83     #   theblues
84 retrying-async==1.2.0
85     # via -r requirements.in
86 rsa==4.7.2
87     # via google-auth
88 six==1.15.0
89     # via
90     #   bcrypt
91     #   google-auth
92     #   kubernetes
93     #   macaroonbakery
94     #   protobuf
95     #   pymacaroons
96     #   pynacl
97     #   python-dateutil
98     #   websocket-client
99 theblues==0.5.2
100     # via juju
101 toposort==1.6
102     # via juju
103 typing-extensions==3.7.4.3
104     # via typing-inspect
105 typing-inspect==0.6.0
106     # via juju
107 urllib3==1.26.4
108     # via
109     #   kubernetes
110     #   requests
111 websocket-client==0.58.0
112     # via kubernetes
113 websockets==7.0
114     # via juju
115
116 # The following packages are considered to be unsafe in a requirements file:
117 # setuptools
118 #######################################################################################
119 # Copyright ETSI Contributors and Others.
120 #
121 # Licensed under the Apache License, Version 2.0 (the "License");
122 # you may not use this file except in compliance with the License.
123 # You may obtain a copy of the License at
124 #
125 #    http://www.apache.org/licenses/LICENSE-2.0
126 #
127 # Unless required by applicable law or agreed to in writing, software
128 # distributed under the License is distributed on an "AS IS" BASIS,
129 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
130 # implied.
131 # See the License for the specific language governing permissions and
132 # limitations under the License.
133 #######################################################################################